Eclipse: Perforce and TeamCity Plugin Questions

I am using Eclipse Helios, build 20100917-0705, and the P4Eclipse plugin version 2010.1/269249.

I am also using the TeamCity Eclipse plugin version 5.1.0.13602.

My question relates to the Command Line Team Interface leaf in the Eclipse Preferences -> TeamCity node.  By default, all of the commands are populated with SVN commands.

My questions:

  1. After installing the TC plugin, I get this error every time I start Eclipse:

     

An error has occurred. See error log for more details.

com.perforce.team.core.p4java.IP4Changelist.getFiles()[Lcom/perforce/team/core/p4java/IP4File;

   2. Is the above error related to the incorrect version control commands found in the afore-mentioned dialog?

   3. Could you please post either a screen shot of the dialog, populated with the correct commands for Perforce, or just post the proper commands to use?

Thank you.

2 comments

UPDATE:

     I deleted all of the SVN commands in the TeamCity options section of Eclipse, and now the startup error is gone.

I would still greatly appreciate a list of the pcorrect Perforce commands to use.

0

Hi David,

TeamCity Plugin for Eclipse does not support P4Eclipse 2010.1.x at all. You can downgrade to P4Eclipse 2009.3.x or wait for TeamCity 6.0 release which will include support of the latest Perforce's plugin.

Best Regards,
Konstantin

0

Please sign in to leave a comment.